XScreenSaver(1)

NAME
sballs - draws balls spinning like crazy in GL

SYNOPSIS
sballs [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--object object_number] [--cycles sphere_speed] [--size viewport_size] [--texture] [--no-texture] [--wireframe] [--no-wireframe] [--trackmouse] [--no-trackmouse] [--fps]

DESCRIPTION
The sballs program draws an animation of balls spinning like crazy in GL.

OPTIONS
sballs accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fps
    Display the current frame rate, CPU load, and polygon count.

--object object_number
    Specify how the spheres are grouped (forming an object). Objects are:

1   tetrahedron

2   cube. This is the default.

3   octahedron

4   dodecahedron

5   icosahedron

6   plane

7   pyramid

8   star

--size viewport_size
    Viewport of GL scene is specified size if greater than 32 and less than screensize. Default value is 0, meaning full screensize.

--texture
    Show a textured background and spheres. This is the default.

--no-texture
    Disables texturing the animation.

--trackmouse
    Let the mouse be a joystick to change the view of the animation. This implies --no-wander.

--no-trackmouse
    Disables mouse tracking. This is the default.

--wire
    Draw a wireframe rendition of the spheres.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001 by Eric Lassauge. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Mustata Bogdan (LoneRunner) <lonerunner@planetquake.com>
Eric Lassauge <lassauge@users.sourceforge.net>